Bug 445914 - hts info test should continue to execute all checks and info gatherings even if an error is encountered
hts info test should continue to execute all checks and info gatherings even ...
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
http://hardware.redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 15:55 EDT by Rob Landry
Modified: 2008-07-16 17:57 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 13:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2008-05-09 15:55:31 EDT
Description of problem:

When hts fails at least the kernel taint check it stops executing failing to
mention what module caused the taint as well it does not continue to gather the
sysreport and/or other data.  Example output:

Running ./info.py:
OS Version RHEL5, kernel rpm kernel-xen-2.6.18-92.el5
HTS version 5.2, release 12
+ rpm -ql kernel-xen-2.6.18-92.el5
Error: The kernel is tainted; please remove the non-GPL modules.
...finished running ./info.py, exit code=1

237295009490533352101691956232682178069



Version-Release number of selected component (if applicable):

hts-5.2-12.el5

How reproducible:

Load the ipw3945 module; run hts certify.

Additional info:

The above example output is located @:

https://hardware.redhat.com/results.cgi?cert_id=445753&id=152340

in hwcert:

https://hardware.redhat.com/show.cgi?id=445753

in the 1st results package:

hts-LENOVO-7674Y23-Tikanga_x86_64_results-1.noarch.rpm (id=304974)
Comment 1 Greg Nichols 2008-05-16 14:05:21 EDT
Fixed HTS 5.2 R13
Comment 3 Hao Liu 2008-06-20 02:15:37 EDT
Rob,
  would you please provide more info on how to setup ipw3945. Thanks.
My machine info:

#uname -a
Linux dhcp-65-102.nay.redhat.com 2.6.18-92.1.1.el5 #1 SMP Thu May 22 09:01:29
EDT 2008 i686 i686 i386 GNU/Linux

#cat /etc/redhat-release
Red Hat Enterprise Linux Client release 5.2 (Tikanga)
Comment 6 errata-xmlrpc 2008-06-20 13:52:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0493.html

Note You need to log in before you can comment on or make changes to this bug.